<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Withdraw[]|\Cake\Collection\CollectionInterface $withdraws
 */

$withdrawal_methods = array_column_polyfill(get_withdrawal_methods(), 'name', 'id');
?>
<div class="payments-proof">
<div class="tab-content">
<div role="tabpanel" class="tab-pane info active panel" id="latest-payments">
<div class="table-desktop">
<table class="table table-desktop">
<div class="table-boxed">
    <div class="table-responsive">
        <table class="table table-hover table-striped">
            <thead class="desktop-header">
                <tr>
                    <th><?= __('Date') ?></th>
                    <th><?= __('Payment System') ?></th>
                    <th><?= __('Amount') ?></th>
                    <th><?= __('Address') ?></th>
                    
                </tr>
            </thead>
            <tbody>
                <?php foreach ($withdraws as $withdraw) : ?>
                    <tr>
                        <td data-label="<?= __('Date') ?>"><?= display_date_timezone($withdraw->created); ?></td>
                        <td data-label="<?= __('Payment System') ?>">
                            <?= (isset($withdrawal_methods[$withdraw->method])) ?
                                $withdrawal_methods[$withdraw->method] : $withdraw->method ?>
                        </td>
                        <td data-label="<?= __('Amount') ?>">
                            <?= display_price_currency($withdraw->amount); ?>
                        </td>
                        
                        <td data-label="<?= __('User Name') ?>">
                            <?= h(substr($withdraw->user->username, 0, 3)) . '******' ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</div>
<div class="table-mobile">
<table class="table table-mobile">
    <tr class="edit">
            <tbody>
                <?php foreach ($withdraws as $withdraw) : ?>
                   <div class="table-mobile">
    <table class="table table-mobile">
        <tbody>
            <?php
            $previousDate = null;
            foreach ($withdraws as $index => $withdraw) :
                $currentDate = display_date_timezone($withdraw->created);
                if ($currentDate !== $previousDate) {
                    if ($index !== 0) {
                        echo '<tr class="separator-row">
                                <td colspan="4"><div class="ruler"></div></td>
                              </tr>';
                    }
                    echo '<tr class="separator-row">
                          
                          </tr>';
                    $previousDate = $currentDate; // Update previous date
                }
            ?>
            <tr>
                <td data-label="<?= __('Date') ?>"><?= $currentDate ?></td>
                <td data-label="<?= __('Payment System') ?>">
                    <?= (isset($withdrawal_methods[$withdraw->method])) ?
                        $withdrawal_methods[$withdraw->method] : $withdraw->method ?>
                </td>
                <td data-label="<?= __('Amount') ?>">
                    <?= display_price_currency($withdraw->amount); ?>
                </td>
                <td data-label="<?= __('User Name') ?>">
                    <?= h(substr($withdraw->user->username, 0, 3)) . '******' ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>
<style>.ruler{border-top:1px solid #ccc;margin:10px 0;width:180%}</style>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</div>
 <ul class="pagination">
        <?php
        $this->Paginator->setTemplates([
            'ellipsis' => '<li><a href="javascript: void(0)">...</a></li>',
        ]);

        if ($this->Paginator->hasPrev()) {
            echo $this->Paginator->prev('«');
        }

        echo $this->Paginator->numbers([
            'modulus' => 4,
            'first' => 2,
            'last' => 2,
        ]);

        if ($this->Paginator->hasNext()) {
            echo $this->Paginator->next('»');
        }
        ?>
    </ul>
