<?php
/**
 * @var \App\View\AppView $this
 */
?>
<!DOCTYPE html>
<html lang="<?= locale_get_primary_language(null) ?>">
<head>
    <?= $this->element('front_head'); ?>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<?= get_option('after_body_tag_code'); ?>
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
<body class="<?= ($this->request->getParam('_name') === 'home') ? 'home' : 'inner-page' ?>">

<nav id="mainNav" class="navbar navbar-default navbar-inner navbar-fixed-top">
<div class="container">

<div class="navbar-header page-scroll">
<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
<span class="sr-only">Toggle navigation</span>
<span class="icon-bar"></span>
<span class="icon-bar"></span>
<span class="icon-bar"></span>
</button>
<link href="https://fonts.googleapis.com/css2?family=Lato&display=swap" rel="stylesheet">
<a class="navbar-brand logo-text" href="/" style="color: #000000; font-family: 'Lato', sans-serif;"><?= h(get_option('site_name')) ?></a>

</div>

<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
<div class="nav-items">

  <?=
            menu_display('menu_main', [
                'ul_class' => 'nav navbar-nav navbar-left',
                'li_class' => '',
                'a_class' => '',
            ], true);
            ?>
<div class='buttons'>
	<?php
				if (null !== $this->request->session()->read('Auth.User.id')) {
					?>
						<a class="signup-btn" href="<?= build_main_domain_url('/member/dashboard'); ?>"><?= __('Dashboard') ?></a>
					<?php
				} else {
					?>				
						<a class="signup-btn" href="<?= build_main_domain_url('/auth/signup'); ?>"><i class="fa fa-user-plus" aria-hidden="true">&nbsp;</i><?= __('Sign Up') ?></a>
					<?php
				}
				?>
</div>
</div>
</div>

</div>

</nav>

<?= $this->Flash->render() ?>
<?= $this->fetch('content') ?>

<?= $this->element('front_footer'); ?>

</body>

</html>
