<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>
<?php
$this->assign('title', __('Sign Up'));
$this->assign('description', __('Sign Up to start your session'));
?>
<head>
<?= $this->Html->charset(); ?>
<title><?= h($this->fetch('title')); ?></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="description" content="<?= h($this->fetch('description')); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="keywords" content="<?= h(get_option('seo_keywords')); ?>">
<link href='webroot/img/favicon.ico' type='image/x-icon' rel='icon' />
<link href='webroot/img/favicon.ico' type='image/x-icon' rel='shortcut icon' />
<link rel="stylesheet" href="https://za.gl/vendor/bootstrap/css/bootstrap.min.css?ver=6.0.36" />
<link rel="stylesheet" href="https://za.gl/vendor/font-awesome/css/font-awesome.min.css?ver=6.0.36" />
<link rel="stylesheet" href="https://za.gl/vendor/dashboard/css/AdminLTE.min.css?ver=6.0.36" />
<link rel="stylesheet" href="https://za.gl/vendor/dashboard/css/skins/_all-skins.min.css?ver=6.0.36" />
<link rel="stylesheet" href="https://za.gl/css/app.css?ver=6.0.36" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<style>
/* Styles for all screen sizes */
.box-2 {
    width: 410px;
    height: 551px;
    background-color: #1971c2 !important;
    border-radius: 0px 12px 12px 0px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: left;
    align-items: flex-start;
    background: url(../../dashboard/img/Vector.svg) no-repeat top, url(../../dashboard/img/Vector-down.svg) no-repeat bottom;
}

/* Styles for screens with a maximum width of 768px (typical for mobiles) */
@media screen and (max-width: 768px) {
    .box-2 {
        display: none;
    }
}
</style>
<?= get_option('head_code'); ?>
<?= $this->fetch('scriptTop') ?>

<body class="login-page" style="height: auto;">
<div class="container container-login">
<div class="login-box">
<div class="login-logo">

</div>
<div class="login-box-body col-md-5 box-1">
<div class="inside-cont col-md-10 col-md-offset-1">
<style>
  @import url(https://fonts.googleapis.com/css?family=Bangers|Cinzel:400,700,900|Lato:100,300,400,700,900|Lobster|Lora:400,700|Mansalva|Muli:200,300,400,600,700,800,900|Open+Sans:300,400,600,700,800|Oswald:200,300,400,500,600,700|Roboto:100,300,400,500,700,900&display=swap);body{font-size:17px;color:#424242;font-family:'Open Sans',sans-serif;background-color:#fff;background-image:url("https://www.transparenttextures.com/patterns/clean-gray-paper.png");margin:0;padding:0}.//logo-holder{text-align:center}.logo-6 h3{color:#e74c3c;font-family:Cinzel,serif;font-weight:300;font-size:30px;line-height:1.3}.logo-6 h3 span{background:#e74c3c;color:#fff;display:inline-block;line-height:1.8;padding:0 16px}@media only screen and (max-width:736px){.logo-container ul li{width:290px;margin-left:auto;margin-right:auto;float:none!important}}
</style>

<div class="logo-container">
  <div class="logo-holder logo-6">
    <a href="/">
      <h3>
        <?php
          $site_name = get_option('site_name'); // Get the site name
          $name_length = strlen($site_name);    // Get the length of the site name
          $half_length = ceil($name_length / 2); // Calculate the half length, rounding up

          $first_half = substr($site_name, 0, $half_length); // Get the first half of the name
          $second_half = substr($site_name, $half_length);   // Get the second half of the name

          echo htmlspecialchars($first_half); // Print first half
          echo '<span>' . htmlspecialchars($second_half) . '</span>'; // Print second half in a <span>
        ?>
      </h3>
    </a>
  </div>
</div>
<h1 class="login-h2">Sign Up</h1>
<p class="login-p">I already have a membership!</p>
<a href="/auth/signin" class="text-center">Sign In </a>

<?= $this->Form->create($user, ['id' => 'signup-form']); ?>

<?=
$this->Form->control('username', [
    'label' => false,
    'placeholder' => __('Username'),
    'class' => 'form-control'
])
?>

<?=
$this->Form->control('email', [
    'label' => false,
    'placeholder' => __('Email'),
    'class' => 'form-control'
])
?>

<?=
$this->Form->control('password', [
    'label' => false,
    'placeholder' => __('Password'),
    'class' => 'form-control'
])
?>

<?=
$this->Form->control('password_compare', [
    'type' => 'password',
    'label' => false,
    'placeholder' => __('Re-enter Password'),
    'class' => 'form-control'
])
?>

<?php if ((get_option('enable_captcha_signup') == 'yes') && isset_captcha()) : ?>
    <div class="form-group captcha">
        <div id="captchaSignup" style="display: inline-block;"></div>
    </div>
<?php endif; ?>

<div class="form-group">
    <?= $this->Form->control('accept', [
        'type' => 'checkbox',
        'label' => "<b>" . __(
                "I agree to the {0} and {1}.",
                "<a href='" . $this->Url->build('/') . 'pages/terms' . "' target='_blank'>" .
                __('Terms of Use') . "</a>",
                "<a href='" . $this->Url->build('/') . 'pages/privacy' . "' target='_blank'>" .
                __('Privacy Policy') . "</a>"
            ) . "</b>",
        'escape' => false
    ]) ?>
</div>

<?= $this->Form->button(__('Register'), [
    'class' => 'btn btn-primary btn-block btn-flat btn-captcha',
    'id' => 'invisibleCaptchaSignup'
]); ?>

</div>

<?= $this->Form->end() ?>
<div class="social-auth-links text-center">
</div>
</div>
</div>
<div class="login-box-body box-2 col-md-5">
<h2>Shorten urls
</br> and earn money.</h2>
<p>We combine all advertising types with best payout rates up to $160 / 10000 visits. Start making money and shorten links!
</p>
<button class="btn-learn"><a class="learn" href="/">LEARN MORE</a></button>
</div>

</div>