<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Plan $plan
 */
?>
<?=
$this->Form->create(null, [
    'url' => ['controller' => 'Links', 'action' => 'shorten', 'prefix' => false],
    'id' => 'shorten',
]);
?>

<?php
$this->Form->setTemplates([
    'inputContainer' => '{{content}}',
    'error' => '{{content}}',
    'inputContainerError' => '{{content}}',
]);
?>
<div class="form-group">
    <?=
    $this->Form->control('url', [
        'label' => false,
        'type' => 'text',
        'placeholder' => __('Your URL Here'),
        'required' => 'required',
        'class' => 'form-control',
    ]);
    ?>
</div>

<div class="row">




    <div class="col-sm-3">
        <div class="form-group">
            <?php
            $ads_options = get_allowed_ads();

            if (count($ads_options) > 1) {
                echo $this->Form->control('ad_type', [
                    'label' => __('Advertising Type'),
                    'options' => $ads_options,
                    'default' => get_option('member_default_advert', 1),
                    //'empty'   => __( 'Choose' ),
                    'class' => 'form-control input-sm',
                ]);
            } else {
                echo $this->Form->hidden('ad_type', ['value' => get_option('member_default_advert', 1)]);
            }
            ?>
        </div>
    </div>

</div>

<?= $this->Form->button(__('Shorten'), ['class' => 'btn btn-shorten']); ?>
<div class="advanced-div collapse"  id="collapseExample">
<div class="row">

    <?php if ($plan->alias) : ?>
  <div class="col-sm-6 alias">
            <div class="form-group">
                <?=
                $this->Form->control('alias', [
                    'label' => __('Alias'),
                    'type' => 'text',
                    'placeholder' => __('Alias'),
                    'class' => 'form-control input-sm',
                ]);
                ?>
            </div>
        </div>
    <?php endif; ?>

<div class="col-sm-6">
<div class="form-group">
<input type="hidden" name="ad_type" value="2"> </div>
</div>
    <?php if ($plan->multi_domains) : ?>
        <div class="col-sm-6">
            <?php if (count(get_multi_domains_list())) : ?>
                <div class="form-group">
                    <?=
                    $this->Form->control('domain', [
                        'label' => __('Domain'),
                        'options' => get_multi_domains_list(),
                        'default' => '',
                        'empty' => get_default_short_domain(),
                        'class' => 'form-control input-sm',
                    ]);
                    ?>
                </div>
            <?php endif; ?>
        </div>
    <?php endif; ?>
</div>
</div>
<button type="button" class="btn btn-advanced advanced" data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">Advanced Options</button>

<?= $this->Form->end(); ?>

<div class="shorten add-link-result"></div>
