<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Link[]|\Cake\Collection\CollectionInterface $links
 */
$this->assign('title', __('Manage Links'));
$this->assign('description', '');
$this->assign('content_title', __('Manage Links'));

?>
<style>

button, input, select, textarea {
    border: 1px solid #cfd8e300;
    box-sizing: border-box;
    border-radius: 4px;
    outline: none;
    color: #12b98a;
}
.input-sm {
    height: 30px;
    padding: 5px 10px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
    width: 50%;
    background: #fbfdfe !important;
}
</style>
<div class="top-box">
<div class="top-links">
<a href="/member/links" class="active">All Links</a>
<a href="/member/links/hidden">Hidden Links</a>
</div>
<div class="top-filter">
<div class="btn-group">
<button type="button" class="btn btn-filter dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
Filter
</button>
<div class="dropdown-menu dropdown-filter">
     <?php
        // The base url is the url where we'll pass the filter parameters
        $base_url = ['controller' => 'Links', 'action' => 'index'];

        echo $this->Form->create(null, [
            'url' => $base_url,
            'class' => 'form-inline',
        ]);
        ?>

        <?=
        $this->Form->control('Filter.alias', [
            'label' => false,
            'class' => 'form-control',
            'type' => 'text',
            'size' => 10,
            'placeholder' => __('Alias'),
        ]);
        ?>

        <?=
        $this->Form->control('Filter.ad_type', [
            'label' => false,
            'options' => get_allowed_ads(),
            'empty' => __('Advertising Type'),
            'class' => 'form-control',
        ]);

        ?>

        <?=
        $this->Form->control('Filter.title_desc', [
            'label' => false,
            'class' => 'form-control',
            'type' => 'text',
            'placeholder' => __('Title, Desc. or URL'),
        ]);
        ?>
		
		  <?= $this->Form->button(__('Filter'), ['class' => 'btn btn-default btn-sm']); ?>

        <?= $this->Html->link(__('Reset'), $base_url, ['class' => 'btn btn-link btn-sm']); ?>
        <?= $this->Form->end(); ?>
</div>
</div>
</div>
</div>
<div class="box box-solid " >
<div class="box-body ">


<?php foreach ($links as $link) : ?>

    <?php
    $short_url = get_short_url($link->alias, $link->domain);

    $title = $link->alias;
    if (!empty($link->title)) {
        $title = $link->title;
    }

    $link_info_member = '';
    if (get_option('link_info_member', 'yes') == 'yes') {
        $link_info_member = "<i class='fa fa-bar-chart'></i> " .
            "<a href='{$short_url}/info' target='_blank'  rel='nofollow noopener noreferrer'>" .
            __('Stats') . "</a> - ";
    }
    ?>
<div id="<?= $short_url ?>" class="box box-solid " >
<div class="box-body  box-primary box-support">

<small>
<p> 
                     Created at<?= display_date_timezone($link->created); ?> -
                    <a target="_blank" rel="nofollow noopener noreferrer" href="<?= $link->url ?>"><?=
                        strtoupper(parse_url(
                            $link->url,
                            PHP_URL_HOST
                        )); ?> </p>

<div class="buttons ">

 <button class="btn btn-primary-left btn-sm copy-it" data-clipboard-text="<?= $short_url ?>" onclick="if (!window.__cfRLUnblockHandlers) return false; showChart(this.id)" data-toggle="tooltip" data-placement="bottom" title="<?= __('Copy') ?>"> Copy </button>
							 

                         <?php if ($logged_user_plan->edit_link) : ?>
                            <?=
                            $this->Html->link(
                                __('Edit'),
                                ['action' => 'edit', $link->alias],
                                ['class' => 'btn btn-primary-edit btn-sm']
                            );
                            ?>
                        <?php endif; ?>
                
 <?=
                        $this->Form->postLink(__('Hide'), ['action' => 'hide', $link->alias], [
                            'confirm' => __('Are you sure?'),
                            'class' => 'btn btn-danger-unhide btn-sm',
                        ]);
                        ?>
 </div>
</small>
<div class="row">
<div class="col-sm-6">

	<input type="text" class="form-control input-sm green" value="<?= $short_url ?>" readonly="" onfocus="javascript:this.select()">

</div>
</div>
</div>
</div>


<?php endforeach; ?>

</div>
</div>
<ul class="pagination">
    <?php
    $this->Paginator->setTemplates([
        'ellipsis' => '<li><a href="javascript: void(0)">...</a></li>',
    ]);

    if ($this->Paginator->hasPrev()) {
        echo $this->Paginator->prev('«');
    }

    echo $this->Paginator->numbers([
        'modulus' => 4,
        'first' => 2,
        'last' => 2,
    ]);

    if ($this->Paginator->hasNext()) {
        echo $this->Paginator->next('»');
    }
    ?>
</ul>
