<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>
<?php
$this->assign('title', __('Profile'));
$this->assign('description', '');
$this->assign('content_title', __('Profile'));
?>
<section class="content">
<div class="box box-primary box-support border-5">
<div class="nav-tabs-custom">
<ul class="nav nav-tabs">
<li class="active"><a href="/member/users/profile" >Profile</a></li>
<li ><a href="/member/users/change-password" >Change Password</a></li>
<li  > <a href="/member/users/change-email">Change Email</a></li>
</ul>
</div>

<div class="box-body">
<div class="tab-content">
<div class="tab-pane fade in active">

<div class="row">
<div class="col-lg-8">
        <?= $this->Form->create($user); ?>

        <?= $this->Form->hidden('id'); ?>

        <legend><?= __('Billing Address') ?></legend>

        <div class="row">
            <div class="col-sm-6">
                <?=
                $this->Form->control('first_name', [
                    'label' => __('First Name'),
                    'class' => 'form-control',
                ])
                ?>
            </div>
            <div class="col-sm-6">
                <?=
                $this->Form->control('last_name', [
                    'label' => __('Last Name'),
                    'class' => 'form-control',
                ])
                ?>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <?=
                $this->Form->control('address1', [
                    'label' => __('Address 1'),
                    'class' => 'form-control',
                ])
                ?>
            </div>
            <div class="col-sm-6">
                <?=
                $this->Form->control('address2', [
                    'label' => __('Address 2'),
                    'class' => 'form-control',
                ])
                ?>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <?=
                $this->Form->control('city', [
                    'label' => __('City'),
                    'class' => 'form-control',
                ])
                ?>
            </div>
            <div class="col-sm-6">
                <?=
                $this->Form->control('state', [
                    'label' => __('State'),
                    'class' => 'form-control',
                ])
                ?>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <?=
                $this->Form->control('zip', [
                    'label' => __('ZIP'),
                    'class' => 'form-control',
                ])
                ?>
            </div>
            <div class="col-sm-6">
                <?=
                $this->Form->control('country', [
                    'label' => __('Country'),
                    'options' => get_countries(),
                    'empty' => __('Choose'),
                    'class' => 'form-control',
                ]);
                ?>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <?=
                $this->Form->control('phone_number', [
                    'label' => __('Phone Number'),
                    'class' => 'form-control',
                ])
                ?>
            </div>
        </div>
</div>
<div class="col-lg-4">
        <legend><?= __('Withdrawal Info') ?></legend>

        <div class="row">
             
             <?= $this->Form->control('withdrawal_method', [
    'label' => __('Withdrawal Method'),
    'options' => array_column_polyfill(get_withdrawal_methods(), 'name', 'id'),
    'empty' => __('Choose'),
    'class' => 'form-control',
    'id' => 'withdrawal-method-select', 
]); ?>
                <table class="table dash-table">
                    <tr>
                        <th><?= __('Withdraw Method') ?></th>
                        <th><?= __('Minimum Withdrawal Amount') ?></th>
                    </tr>
                    <?php foreach (get_withdrawal_methods() as $method) : ?>
                        <tr>
                            <td><?= h($method['name']) ?></td>
                            <td><?= display_price_currency($method['amount']) ?></td>
                        </tr>
                    <?php endforeach; ?>
                </table>
           
        </div>

        <?=
        $this->Form->control('withdrawal_account', [
            'label' => __('Withdrawal Account'),
            'class' => 'form-control',
            'type' => 'textarea',
            'required' => false,
        ])
        ?>

<div class="help-block">
<?php foreach (get_withdrawal_methods() as $method) : ?>
<div id="method-description" style="font-family: 'Helvetica Neue', sans-serif; font-weight: bold; color: black;"></div>
<script>
    var withdrawalMethods = <?= json_encode(get_withdrawal_methods()) ?>; 
    var selectElement=document.getElementById("withdrawal-method-select"),descriptionElement=document.getElementById("method-description");selectElement.addEventListener("change",function(){var e=selectElement.value,t=withdrawalMethods.find(function(t){return t.id==e});t?descriptionElement.textContent=t.description:descriptionElement.textContent=""});

</script>
<?php endforeach; ?>
</div>
        
        <?= $this->Form->button(__('Save Changes'), ['class' => 'btn btn-success btn-sm']); ?>

        <?= $this->Form->end() ?>

    </div>
	</div>
</div>
</div>