<?php
/**
 * @var \App\View\AppView $this
 */
?>
<?php
$this->assign('title', __('Referrals'));
$this->assign('description', '');
$this->assign('content_title', __('Referrals'));
?>
<section class="content">
<div class="box box-default box-support border-5">
<div class="box-body">
<div class="refferal-top">
  <?php $ref = $this->Url->build('/', true) . 'ref/' . $logged_user->username; ?>
<p>
<?= __(
                'The {0} referral program is a great way to spread the word of this great service and to ' .
                'earn even more money with your short links! Refer friends and receive {1}% of their earnings ' .
                'for life!',
                [h(get_option('site_name', '')), h(get_option('referral_percentage', '20'))]
            ) ?> </p>
<pre data-toggle="popover" title="" style="cursor:pointer;" onclick="if (!window.__cfRLUnblockHandlers) return false; copyToClipboard(this.innerText);" data-original-title="Link copied"><span><?= $ref ?></span><span class="copy-it"><i class="copy-img" aria-hidden="true"></i></span></pre>
 <?= str_replace('[referral_link]', $ref, get_option('referral_banners_code')); ?>
</div>
</div>
</div>

<div class="box box-default box-support border-5">
<div class="box-body">
    <h3 class="box-title referrals-title"> My Referrals</h3>
    </div><!-- /.box-header -->
    <div class="box-body box-other">

        <div class="table-responsive">
            <table class="table dash-table ">
                <tr>
                    <th><?= __('Username'); ?></th>
                    <th><?= __('Date'); ?></th>
                </tr>
                <!-- Here is where we loop through our $posts array, printing out post info -->
                <?php foreach ($referrals as $referral) : ?>
                    <tr>
                        <td><?= h($referral->username); ?></td>
                        <td><?= display_date_timezone($referral->created) ?></td>
                    </tr>
                <?php endforeach; ?>
                <?php unset($referral); ?>
            </table>
        </div>

    </div><!-- /.box-body -->
</div>

<ul class="pagination">
    <?php
    $this->Paginator->setTemplates([
        'ellipsis' => '<li><a href="javascript: void(0)">...</a></li>',
    ]);

    if ($this->Paginator->hasPrev()) {
        echo $this->Paginator->prev('«');
    }

    echo $this->Paginator->numbers([
        'modulus' => 4,
        'first' => 2,
        'last' => 2,
    ]);

    if ($this->Paginator->hasNext()) {
        echo $this->Paginator->next('»');
    }
    ?>
</ul>
</section>